#!/bin/sh
#
# Shell script to process EJB deployment

# Some Java utilities don't know where their classes are
# Add more settings as needed
sys=`uname -s`
if [ "$sys" = AIX ]; then
  # Change JDK_HOME to the actual location of your JDK, if necessary
  JDK_HOME=/usr/jdk_base
  JAVA=$JDK_HOME/bin/java
else
  JAVA=java
fi

# Make sure we're in the right place
if [ ! -f license/WebLogicLicense.xml -o ! -f weblogic.policy ]; then
  echo "startWeblogic.sh: must be run from the WebLogic installation directory." 1>&2
  exit 1
fi

# Grab some file descriptors.
maxfiles=`ulimit -H -n`
if [ ! $? -a "$maxfiles" != 1024 ]; then
  if [ "$maxfiles" = "unlimited" ]; then
    maxfiles=1025
  fi
  if [ "$maxfiles" -lt 1024 ]; then
    ulimit -n $maxfiles
  else
    ulimit -n 1024
  fi
fi

# Check whether we're running Java 2
$JAVA -X > /dev/null 2>&1
if [ $? -a -n "$JDK_HOME" ]; then
  # Java 1
  JAVACLASSPATH=$JDK_HOME/lib/classes.zip:./classes/boot:./classes:./lib/weblogicaux.jar
else
  # Java 2, or Java 1 and java knows where classes.zip is
  JAVACLASSPATH=./classes/boot:./classes:./lib/weblogicaux.jar
fi

$JAVA -mx32m -classpath $JAVACLASSPATH weblogic.EJBDeployWizard


